/*

HashDays Hack
    
*/

#include <Dogm.h>

int a0Pin = 1;      // address line a0 for the dogm module
Dogm dogm(a0Pin);
int val = 100;      // address line a0 for the dogm module
int sensorPin = A0;    // select the input pin for the potentiometer
int sensorValue = 0;  // variable to store the value coming from the sensor

void setup() {
  DDRB |= (1<<PB0);
  PORTB |= (1<<PB0);
  
  DDRB |= (1<<PB1);
  PORTB |= (1<<PB1);
  
  pinMode(4, OUTPUT);  // Activate Buttons
  digitalWrite(4, HIGH);  
}

void loop() {  
  dogm.start();
  do {
    dogm.setFont( font_7x14);
    dogm.setXY(0,30);
    dogm.print("Count-Down: ");
    dogm.print(val);
    
    dogm.setXY(0,10);
    dogm.print("Analog: ");
    dogm.print(sensorValue);

  } while( dogm.next() );
  
  // do some delay so that the LCD can display the character
  dog_Delay(120);
  val--;
  sensorValue = analogRead(sensorPin);  

}
